9.2 Kernel Exploit question

Discussion in '3DS - Flashcards & Custom Firmwares' started by StarGazerTom, Jan 16, 2016.

  1. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    918
    642
    Feb 2, 2015
    So I was just reading a thread and discussing 4.2 vs 9.2, when someone dropped that 9.2 actually has a Kernel exploit.

    Now, currently I'm on 4.2 SysNand and 10.3 EmuNand on my O3ds XL.

    So. I ask you all. What do I have to do to get my 3ds to 9.2 SysNand with kernel exploit, autobooting into my 10.3 EmuNand?

    Sorry if it's been asked a million times, but I can't seem to find what I'm asking, so better to make a thread and pull some views.
     
  2. Voxel

    Voxel u wot

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,218
    5,970
    Jun 27, 2015
    United Kingdom
    England, UK
    So you want to manually update to 9.2 from 4.2? I would use SysUpdater in RxTools Dev Mode, using 9.2 update packs from that iso site.
     
  3. Xenon Hacks

    Xenon Hacks GBAtemp Guru

    Member
    7,125
    3,424
    Nov 13, 2014
    United States
    Do you have rxTools, reiNand, Gateway?
     
  4. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    918
    642
    Feb 2, 2015
    I guess so?

    So I update from 4.2 to 9.2 with SysUpdater.... then what?

    — Posts automatically merged - Please don't double post! —

    Currently RXTools, as it seems to be the most lightweight one to setup and easiest to use.
     
  5. Urbanshadow

    Urbanshadow GBAtemp Maniac

    Member
    1,306
    478
    Oct 16, 2015
    Use the rxTools devmode to inject FBI into h&s app on sysnand.
    Using rxtools devmode and the FBI h&s install sysupdater to sysnand.
    Get your 9.2.0-20 full update package from that iso site.
    Check the download to be ok and copy the updates folder to your SD root.
    Using rxtools devmode and sysupdater update your sysnand to 9.2
     
  6. Voxel

    Voxel u wot

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,218
    5,970
    Jun 27, 2015
    United Kingdom
    England, UK
    I guess you just kinda set it up again.. You don't really have to do much changes when updated. Change your 4.2 hax payloads to 9.2 as well.
     
  7. Urbanshadow

    Urbanshadow GBAtemp Maniac

    Member
    1,306
    478
    Oct 16, 2015
    After that simply follow a 9.2 cfw setup guide. You'll have an entrypoint on your browser and on your menu now, no mset exploit required anymore.

    Of course your mset exploit will be gone in the upgrade, but setting up rxtools will boot back your emunand so don't setup a new one!
     
    Last edited by Urbanshadow, Jan 16, 2016
    Voxel likes this.
  8. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    918
    642
    Feb 2, 2015
    Ths seems to be 100% correct. Guess I'll be trying that out there now so!
    Just before I jump into all of it, I wanna double check. If updating goes funny a.k.a. "Bricky", what methods do I have to repair it, assuming I have my current systems OS backups.

    — Posts automatically merged - Please don't double post! —

    Grand stuff, I guess I'll hop onto it now so! I may update the thread if/when it gets all finished!
     
  9. Urbanshadow

    Urbanshadow GBAtemp Maniac

    Member
    1,306
    478
    Oct 16, 2015
    As a reminder, don't re-create emunand. After setting up themehax and rxtools for hbl, simply boot your old emunand and you won't loose anything. Don't format your emunand in any case.
     
  10. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    918
    642
    Feb 2, 2015
    Will do, thanks mate :)

    — Posts automatically merged - Please don't double post! —

    Sweet, ty!
     
    Voxel likes this.
  11. Voxel

    Voxel u wot

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,218
    5,970
    Jun 27, 2015
    United Kingdom
    England, UK
    I think I did have to do a bit more than just that, but there's always a 9.2 guide as mentioned. :^)
     
  12. Shadowfied

    Shadowfied GBAtemp Advanced Maniac

    Member
    1,926
    1,771
    Dec 6, 2014
    May I ask why you want to update? Not saying one is better than the other, I don't know the advantages / disadvantages of 4.x and 9.x SysNAND.
     
  13. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    918
    642
    Feb 2, 2015
    Well I've read that there can be "problems" playing some games, even through emunand if your SysNand isn't on 7.0, and the Auto-booting for a CFW would actually be pretty sweet instead of waiting for it to load, going to settings, running MSet, and waiting for it all to load again. So why not try and simplify it all :)
     
  14. Shadowfied

    Shadowfied GBAtemp Advanced Maniac

    Member
    1,926
    1,771
    Dec 6, 2014
    Ah, definitely sounds logical then. I've never hacked a system below 9.2 so I've never touched MSET and stuff, thanks for letting me know :)
     
  15. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    918
    642
    Feb 2, 2015
    Funny thing is, I used to be on 9.2, and took the plunge to 4.2 back when Spider was just being used for Downgrades. Now it's been broken open, I may as well take full advantage!
     
  16. Shadowfied

    Shadowfied GBAtemp Advanced Maniac

    Member
    1,926
    1,771
    Dec 6, 2014
    What was the advantage of downgrading back then?
     
  17. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    918
    642
    Feb 2, 2015
    EmuNand, backups, homebrew, themes.
     
  18. Shadowfied

    Shadowfied GBAtemp Advanced Maniac

    Member
    1,926
    1,771
    Dec 6, 2014
    Oh lol, so that could not be done on 9.2 then? I see. Thanks for explaining :D
     
  19. StarGazerTom
    OP

    StarGazerTom GBAtemp Advanced Fan

    Member
    918
    642
    Feb 2, 2015
    Barely even managed to get everything downloaded. I can't get FBI to inject on sysnand with any rxtools, so i can't launch sysupdater